edu.wpi.first.wpilibj.hal

## Class InterruptJNI

- java.lang.Object
- - edu.wpi.first.wpilibj.hal.JNIWrapper
  - - edu.wpi.first.wpilibj.hal.InterruptJNI

-     public class InterruptJNI
      extends JNIWrapper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `InterruptJNI.InterruptJNIHandlerFunction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `HalInvalidHandle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterruptJNI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `attachInterruptHandler(int interruptHandle, InterruptJNI.InterruptJNIHandlerFunction handler, java.lang.Object param)`
    `static void` | `cleanInterrupts(int interruptHandle)`
    `static void` | `disableInterrupts(int interruptHandle)`
    `static void` | `enableInterrupts(int interruptHandle)`
    `static int` | `initializeInterrupts(boolean watcher)`
    `static double` | `readInterruptFallingTimestamp(int interruptHandle)`
    `static double` | `readInterruptRisingTimestamp(int interruptHandle)`
    `static void` | `requestInterrupts(int interruptHandle, int digitalSourceHandle, int analogTriggerType)`
    `static void` | `setInterruptUpSourceEdge(int interruptHandle, boolean risingEdge, boolean fallingEdge)`
    `static int` | `waitForInterrupt(int interruptHandle, double timeout, boolean ignorePrevious)`

    - ### Methods inherited from class edu.wpi.first.wpilibj.hal.JNIWrapper

      `getPort, getPortWithModule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HalInvalidHandle

          public static final int HalInvalidHandle

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InterruptJNI

          public InterruptJNI()

  - ### Method Detail

    - #### initializeInterrupts

          public static int initializeInterrupts(boolean watcher)

    - #### cleanInterrupts

          public static void cleanInterrupts(int interruptHandle)

    - #### waitForInterrupt

          public static int waitForInterrupt(int interruptHandle,
                                             double timeout,
                                             boolean ignorePrevious)

    - #### enableInterrupts

          public static void enableInterrupts(int interruptHandle)

    - #### disableInterrupts

          public static void disableInterrupts(int interruptHandle)

    - #### readInterruptRisingTimestamp

          public static double readInterruptRisingTimestamp(int interruptHandle)

    - #### readInterruptFallingTimestamp

          public static double readInterruptFallingTimestamp(int interruptHandle)

    - #### requestInterrupts

          public static void requestInterrupts(int interruptHandle,
                                               int digitalSourceHandle,
                                               int analogTriggerType)

    - #### attachInterruptHandler

          public static void attachInterruptHandler(int interruptHandle,
                                                    InterruptJNI.InterruptJNIHandlerFunction handler,
                                                    java.lang.Object param)

    - #### setInterruptUpSourceEdge

          public static void setInterruptUpSourceEdge(int interruptHandle,
                                                      boolean risingEdge,
                                                      boolean fallingEdge)